classification
Title: [EASY] x86 Ubuntu Shared 3.x: test_embed.test_pre_initialization_sys_options() fails
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cheryl.sabella, miss-islington, vstinner
Priority: normal Keywords: easy, patch

Created on 2018-04-25 14:41 by vstinner, last changed 2018-05-18 23:48 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6612 merged pablogsal, 2018-04-26 21:17
PR 6618 merged miss-islington, 2018-04-27 12:27
Messages (6)
msg315741 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-25 14:41
Re-running test 'test_embed' in verbose mode
test_bpo20891 (test.test_embed.EmbeddingTests) ... ok
test_forced_io_encoding (test.test_embed.EmbeddingTests) ... ok
test_pre_initialization_api (test.test_embed.EmbeddingTests) ... ok
test_pre_initialization_sys_options (test.test_embed.EmbeddingTests) ... --- ['/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Programs/_testembed', 'pre_initialization_sys_options'] failed ---
stdout:
stderr:
/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Programs/_testembed: error while loading shared libraries: libpython3.8dm.so.1.0: cannot open shared object file: No such file or directory
------
FAIL
test_subinterps_different_ids (test.test_embed.EmbeddingTests) ... ok
test_subinterps_distinct_state (test.test_embed.EmbeddingTests) ... ok
test test_embed failed
test_subinterps_main (test.test_embed.EmbeddingTests) ... ok
======================================================================
FAIL: test_pre_initialization_sys_options (test.test_embed.EmbeddingTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test_embed.py", line 213, in test_pre_initialization_sys_options
    "pre_initialization_sys_options", env=env)
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test_embed.py", line 59, in run_embedded_interpreter
    (p.returncode, err))
AssertionError: 127 != 0 : bad returncode 127, stderr is '/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Programs/_testembed: error while loading shared libraries: libpython3.8dm.so.1.0: cannot open shared object file: No such file or directory\n'
----------------------------------------------------------------------
Ran 7 tests in 7.218s
FAILED (failures=1)
1 test failed again:
    test_embed
msg315797 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-26 13:52
It seems like the failure comes from "env = dict(PYTHONPATH=os.pathsep.join(sys.path))" of Lib/test/test_embed.py. The code from test_pre_initialization_api() works properly. The fix seems easy.
msg315798 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-26 13:53
To reproduce the bug:

./configure --with-pydebug --enabled-shared
make clean
make
LD_LIBRARY_PATH=$PWD ./python -m test -v test_embed
msg315836 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-27 12:23
New changeset 4114846265536344538ae44cb8ffd8ce2903faf7 by Victor Stinner (Pablo Galindo) in branch 'master':
bpo-33358: Fix test_embed.test_pre_initialization_sys_options (GH-6612)
https://github.com/python/cpython/commit/4114846265536344538ae44cb8ffd8ce2903faf7
msg315839 - (view) Author: miss-islington (miss-islington) Date: 2018-04-27 12:41
New changeset dd3ede7537653a62815c2fedbb67d6f2fb870d4c by Miss Islington (bot) in branch '3.7':
bpo-33358: Fix test_embed.test_pre_initialization_sys_options (GH-6612)
https://github.com/python/cpython/commit/dd3ede7537653a62815c2fedbb67d6f2fb870d4c
msg317070 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-18 23:48
Thank you for the fix Pablo!
History
Date User Action Args
2018-05-18 23:48:36vstinnersetmessages: + msg317070
2018-05-14 18:39:02cheryl.sabellasetstatus: open -> closed
assignee: cheryl.sabella ->
resolution: fixed
stage: patch review -> resolved
2018-04-27 12:41:28miss-islingtonsetnosy: + miss-islington
messages: + msg315839
2018-04-27 12:27:30miss-islingtonsetpull_requests: + pull_request6314
2018-04-27 12:23:16vstinnersetmessages: + msg315836
2018-04-26 21:17:48pablogsalsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request6308
2018-04-26 15:06:01cheryl.sabellasetassignee: cheryl.sabella

nosy: + cheryl.sabella
stage: needs patch
2018-04-26 13:53:42vstinnersetmessages: + msg315798
2018-04-26 13:52:36vstinnersetkeywords: + easy

messages: + msg315797
title: x86 Ubuntu Shared 3.x: test_embed.test_pre_initialization_sys_options() fails -> [EASY] x86 Ubuntu Shared 3.x: test_embed.test_pre_initialization_sys_options() fails
2018-04-25 14:41:16vstinnercreate